Skip to navigation

Deactivate Virtual Accounts

View as Markdown

Deactivation can be performed only if an account holds no balances.
Deactivation is an irreversible action
Please perform the necessary verification before deactivating any virtual accounts.

Headers

Encrypted-ParamsstringOptional

Encrypt the key values as below:
- Virtual account

Use your digital cert to do the encryption.

virtual_account:
In the GET operation: Virtual account that was reserved as well as activated are allowed
In DELETE operation: Virtual account that was activated is only allowed

Query parameters

client_idstringRequired<=40 characters

Unique reference shared during CitiConnect API onboarding (client_id used during OAuth token generation).

branch_codestringOptional3-4 characters
Citi's bank code associated with given a header account number.

Response

Accepted
request_idstringOptional1-40 characters

Auto-generated unique identification assigned for the request.

statusstringOptional1-20 characters

Status of the request.
Possible statuses are
SUCCESS
REJECTED
PENDING

messagestringOptional1-400 characters
Detailed response for the particular request.
actionstringOptional

Action of the given request.
- ”RESERVATION”
- ”ACTIVATION”.

branch_codestringOptional3-4 characters
Citi's bank code associated with given a header account number.
error_detailslist of objectsOptional
accountlist of objectsOptional

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
405
Method Not Allowed Error
429
Too Many Requests Error
500
Internal Server Error